<?php
// Database configuration
$db_host = "localhost";
$db_username = "purpxzmy_OSKKPI";
$db_password = "J3?O}w_pr!7j";
$db_name = "purpxzmy_OSKKPI";

// Create a connection to the database
$conn = new mysqli($db_host, $db_username, $db_password, $db_name);

// Check the connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// If form data is submitted, insert it into the database
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $full_name = $_POST["full_name"];
    $mobile = $_POST["mobile"];
    $dob = $_POST["dob"];
    $email = $_POST["email"];
    $role = $_POST["role"];

    // Prepare and bind the SQL statement
    $stmt = $conn->prepare("INSERT INTO employees (full_name, mobile, dob, email, role) VALUES (?, ?, ?, ?, ?)");
    $stmt->bind_param("ssisss", $full_name, $mobile, $dob, $email, $role);

    // Execute the statement and check for errors
    if ($stmt->execute()) {
        echo "Employee added successfully!";
        header("Location: employee.php"); // Reload the page to display the updated employee list
        exit();
    } else {
        echo "Error: " . $stmt->error;
    }

    // Close the statement
    $stmt->close();
}
?>
<!DOCTYPE html>
<html>
<head>
    <title>Employee Manager</title>
<style>
    body {
        font-family: Arial, sans-serif;
        margin: 0;
        padding: 0;
    }

    .container {
        max-width: 1200px;
        margin: 0 auto;
        padding: 20px;
    }

    h1 {
        margin-bottom: 20px;
        text-align: center;
    }

    form {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
        margin-bottom: 20px;
    }

    .form-field {
        display: flex;
        flex-direction: column;
    }

    label {
        margin-bottom: 5px;
    }

    input {
        width: 100%;
        padding: 8px;
        box-sizing: border-box;
        border: 1px solid #ccc;
        border-radius: 4px;
    }

    input:focus {
        outline: none;
        border-color: #3498db;
    }

    button[type="submit"] {
        grid-column: 1 / 3;
        background-color: #3498db;
        color: white;
        padding: 10px 20px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
        margin: 4px 2px;
        cursor: pointer;
        border: none;
        border-radius: 4px;
    }

    table {
        width: 100%;
        border-collapse: collapse;
        margin-bottom: 20px;
    }

    th, td {
        padding: 8px;
        text-align: left;
        border-bottom: 1px solid #ddd;
    }

    th {
        background-color: #f2f2f2;
    }

    tr:hover {
        background-color: #f5f5f5;
    }

    button {
        background-color: #3498db;
        color: white;
        padding: 10px 20px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
        margin: 4px 2px;
        cursor: pointer;
        border: none;
        border-radius: 4px;
    }

    @media screen and (max-width: 768px) {
        form {
            display: block;
        }

        button[type="submit"] {
            grid-column: 1 / 1;
            width: 100%;
        }
    }
</style>



</head>
<body>
    <h1>Employee Manager</h1>
    <form id="employee-form" method="post" action="employee.php">
         <div class="form-field">
        <label for="full-name">Full name:</label>
        <input type="text" id="full-name" class="form-field" name="full_name" required><br>

        <label for="mobile">Mobile:</label>
        <input type="tel" id="mobile" name="mobile" required><br>

        <label for="dob">Date of Birth:</label>
        <input type="date" id="dob" name="dob" required><br>

        <label for="email">Email:</label>
        <input type="email" id="email" name="email" required><br>

        <label for="role">Role:</label>
        <input type="text" id="role" name="role" required><br>

        <button type="submit">Add Employee</button>
        </div>
    </form>

    <table>
        <thead>
            <tr>
                <th>Full name</th>
                <th>Mobile</th>
                <th>Date of Birth</th>
                <th>Email</th>
                <th>Role</th>
            </tr>
        </thead>
        <tbody>
            <?php
            // Fetch employees from the database and display them in the table
            $result = $conn->query("SELECT full_name, mobile, dob, email, role FROM employees");
            if ($result->num_rows > 0) {
                while($row = $result->fetch_assoc()) {
                    echo "<tr>";
                    echo "<td>" . $row["full_name"] . "</td>";
                    echo "<td>" . $row["mobile"] . "</td>";
                    echo "<td>" . $row["dob"] . "</td>";
                    echo "<td>" . $row["email"] . "</td>";
                    echo "<td>" . $row["role"] . "</td>";
                    echo "</tr>";
                }
            }
            // Close the database connection
            $conn->close();
            ?>
        </tbody>
    </table>

    <button onclick="location.href='employee-manager.php';">Employee Manager</button>
    <button onclick="window.print();">Print</button>

</body>
</html>
