<?php
require 'db_connection.php';

$month = $_GET['month'];

$sql = "
    SELECT
        staff.id,
        staff.full_name,
        staff.profile_picture,
        COUNT(staff_activities.id) AS total_active_days,
        SUM(staff_activities.exports_quantity) AS total_exports,
        AVG(staff_activities.on_time) * 100 AS avg_on_time,
        AVG(staff_activities.cleaning) * 100 AS avg_cleaning,
        AVG(staff_activities.manager_score) AS avg_manager_score
    FROM
        staff
    LEFT JOIN staff_activities ON staff.id = staff_activities.staff_id
    WHERE
        MONTH(staff_activities.activity_date) = $month
    GROUP BY
        staff.id
    ORDER BY
        staff.id ASC
";

$result = $conn->query($sql);
$summary_data = [];

while ($row = $result->fetch_assoc()) {
    $active_days_score = $row['total_active_days'] / 24 * 100;
    $exports_score = $row['total_exports'] / 72 * 100;
    $on_time_score = $row['avg_on_time'];
    $cleaning_score = $row['avg_cleaning'];
    $manager_score = ($row['avg_manager_score'] / 9) * 100;

    $total_score_month = ($active_days_score * 0.4) + ($exports_score * 0.4) + ($on_time_score * 0.05) + ($cleaning_score * 0.05) + ($manager_score * 0.1);

    $row['total_score_month'] = round($total_score_month, 2);
    $summary_data[] = $row;
}

echo json_encode($summary_data);

$conn->close();
