<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Staff Management</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>
  <h1 class="text-center mb-4">Staff Management</h1>

  <div class="container">
    <form id="addStaffForm" enctype="multipart/form-data">
      <div class="form-group">
        <label for="full_name">Full Name:</label>
        <input type="text" name="full_name" class="form-control" required>
      </div>
      <div class="form-group">
        <label for="mobile">Mobile:</label>
        <input type="text" name="mobile" class="form-control" required>
      </div>
      <div class="form-group">
        <label for="email">Email:</label>
        <input type="email" name="email" class="form-control" required>
      </div>
      <div class="form-group">
        <label for="dob">Date of Birth:</label>
        <input type="date" name="dob" class="form-control" required>
      </div>
      <div class="form-group">
        <label for="role">Role:</label>
        <input type="text" name="role" class="form-control" required>
      </div>
      <div class="form-group">
        <label for="profile_picture">Profile Picture:</label>
        <input type="file" name="profile_picture" class="form-control" required>
      </div>
      <button type="submit" class="btn btn-primary">Add Staff</button>
    </form>
  </div>

  <div class="container mt-4">
    <div class="table-responsive">
      <table class="table table-striped">
        <thead>
          <tr>
            <th>Full Name</th>
            <th>Mobile</th>
            <th>Email</th>
            <th>Date of Birth</th>
            <th>Role</th>
            <th>Profile Picture</th>
            <th>Actions</th>
          </tr>
        </thead>
        <tbody id="staffTableBody">
        </tbody>
      </table>
    </div>
  </div>

  <!-- Update Staff Modal -->
  <div class="modal fade" id="updateStaffModal" tabindex="-1" role="dialog" aria-labelledby="updateStaffModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="updateStaffModalLabel">Update Staff</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form id="updateStaffForm" action="update_staff.php" method="post" enctype="multipart/form-data">

                       <input type="hidden" name="id">
            <div class="form-group">
              <label for="full_name">Full Name:</label>
              <input type="text" name="full_name" class="form-control" required>
            </div>
            <div class="form-group">
              <label for="mobile">Mobile:</label>
              <input type="text" name="mobile" class="form-control" required>
            </div>
            <div class="form-group">
              <label for="email">Email:</label>
              <input type="email" name="email" class="form-control" required>
            </div>
            <div class="form-group">
              <label for="dob">Date of Birth:</label>
              <input type="date" name="dob" class="form-control" required>
            </div>
            <div class="form-group">
              <label for="role">Role:</label>
              <input type="text" name="role" class="form-control" required>
            </div>
            <div class="form-group">
              <label for="profile_picture">Profile Picture:</label>
              <input type="file" name="profile_picture" class="form-control">
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary" id="updateStaff">Save changes</button>
        </div>
      </div>
    </div>
  </div>



<script>
 $(document).ready(function () {
  function fetchStaffList() {
      $.getJSON("fetch_staff.php", function (data) {
        let staffRows = '';
        $.each(data, function (index, staff) {
          staffRows += `
            <tr>
              <td>${staff.full_name}</td>
              <td>${staff.mobile}</td>
              <td>${staff.email}</td>
              <td>${staff.dob}</td>
              <td>${staff.role}</td>
              <td><img src="${staff.profile_picture}" alt="Profile Picture" width="50" height="50"></td>
              <td>
                <button class="btn btn-primary update-staff" data-id="${staff.id}">Update</button>
                <button class="btn btn-danger delete-staff" data-id="${staff.id}">Delete</button>
              </td>
            </tr>
          `;
        });

        $("#staffTableBody").html(staffRows);
      });
    }

    fetchStaffList();

    $("#staffTableBody").on("click", ".delete-staff", function () {
      const staffId = $(this).data("id");

      if (confirm("Are you sure you want to delete this staff member?")) {
        $.post("delete_staff.php", { id: staffId }, function (response) {
          alert(response);
          fetchStaffList();
        }).fail(function (jqXHR, textStatus, errorThrown) {
          alert("Error deleting staff: " + textStatus);
        });
      }
    });

    $("#staffTableBody").on("click", ".update-staff", function () {
      const staffId = $(this).data("id");
      $.getJSON("fetch_staff_by_id.php", { id: staffId }, function (staff) {
        $("#updateStaffForm input[name='id']").val(staff.id);
        $("#updateStaffForm input[name='full_name']").val(staff.full_name);
        $("#updateStaffForm input[name='mobile']").val(staff.mobile);
        $("#updateStaffForm input[name='email']").val(staff.email);
        $("#updateStaffForm input[name='dob']").val(staff.dob);
        $("#updateStaffForm input[name='role']").val(staff.role);
        $("#updateStaffModal").modal("show");
      });
    });

    // Event handler for the "Save changes" button click
$("#updateStaff").on("click", function () {
  const formData = new FormData($("#updateStaffForm")[0]);
  $.ajax({
    url: $("#updateStaffForm").attr("action"),
    type: "POST",
    data: formData,
    processData: false,
    contentType: false,
    success: function (response) {
      const jsonResponse = JSON.parse(response);
      if (jsonResponse.error) {
        alert(jsonResponse.message);
      } else {
        alert(jsonResponse.message);
        $("#updateStaffModal").modal("hide");
        fetchStaffList();
      }
    },
    error: function (jqXHR, textStatus, errorThrown) {
      alert("Error updating staff: " + textStatus);
    }
  });
});

    
  $("#addStaffForm").submit(function (e) {
    e.preventDefault();

    const formData = new FormData(this);
    $.ajax({
      url: "add_staff.php",
      type: "POST",
      data: formData,
      processData: false,
      contentType: false,
      success: function (response) {
        const jsonResponse = JSON.parse(response);
        if (jsonResponse.error) {
          alert(jsonResponse.message);
        } else {
          alert(jsonResponse.message);
          $("#addStaffForm")[0].reset();
          fetchStaffList();
        }
      },
      error: function (jqXHR, textStatus, errorThrown) {
        alert("Error adding staff: " + textStatus);
      },
    });
  });

  });
</script>

</body>
</html>


