// ajax.php
<?php
require_once 'functions.php';

// Handle AJAX requests
if ($_SERVER['REQUEST_METHOD'] == "POST") {
    if (isset($_POST['product_name']) && isset($_POST['product_description']) && isset($_POST['product_category'])) {
        addProduct($_POST['product_name'], $_POST['product_description'], $_POST['product_category']);
        echo json_encode(["message" => "Product added successfully"]);
    } elseif (isset($_POST['delete_id'])) {
        $deleted = deleteProduct($_POST['delete_id']);
        if ($deleted) {
            echo json_encode(["message" => "Product deleted successfully"]);
        } else {
            http_response_code(400);
            echo json_encode(["message" => "Unable to delete product"]);
        }
    } elseif (isset($_POST['update_id'])) {
        $updated = updateProductStatus($_POST['update_id']);
        if ($updated) {
            echo json_encode(["message" => "Product marked as delivered"]);
        } else {
            http_response_code(400);
            echo json_encode(["message" => "Unable to update product status"]);
        }
    } else {
        http_response_code(400);
        echo json_encode(["message" => "Invalid request"]);
    }
}
