<?php
require_once 'config.php';

function setDbTimezone($timezone) {
    global $conn;
    $sql = "SET time_zone = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $timezone);
    return $stmt->execute();
}

setDbTimezone("+04:00"); // Set timezone to Dubai time (UTC+4)

function addProduct($productName, $productDescription, $productCategory) {
  global $conn;
  $sql = "INSERT INTO products (product_name, product_description, product_category, status, date_added) VALUES (?, ?, ?, 'received', NOW())";
  $stmt = $conn->prepare($sql);
  $stmt->bind_param("sss", $productName, $productDescription, $productCategory);
  return $stmt->execute();
}

function getProducts() {
  global $conn;
  $sql = "SELECT * FROM products";
  $result = $conn->query($sql);
  return $result->fetch_all(MYSQLI_ASSOC);
}

function updateProductStatus($id) {
  global $conn;
  $sql = "UPDATE products SET status = 'delivered', date_delivered = NOW() WHERE id = ?";
  $stmt = $conn->prepare($sql);
  $stmt->bind_param("i", $id);
  return $stmt->execute();
}

function deleteProduct($id) {
    global $conn;
    $sql = "DELETE FROM products WHERE id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $id);
    $stmt->execute();
    return $stmt->affected_rows > 0;
}

?>
