<!DOCTYPE html>
<html>
  <head>
    <title>Oskar Equipment's List</title>
    <link rel="stylesheet" type="text/css" href="style.css">
  </head>
  <body>
    <h1>Equipment's List</h1>
    <form method="POST" action="process_form.php">
      <label for="name">Name:</label>
      <input type="text" id="name" name="name"><br><br>
      <label for="category">Category:</label>
      <select id="category" name="category">
        <option value="sound">Sound</option>
        <option value="camera">Camera & Lens</option>
        <option value="light">Light</option>
        <option value="cable">Cable</option>
        <option value="accessories">Accessories</option>
        <option value="others">Others</option>
      </select><br><br>
      <label for="quantity">Quantity:</label>
      <input type="number" id="quantity" name="quantity"><br><br>
      <label for="description">Description:</label>
      <textarea id="description" name="description"></textarea><br><br>
      <input type="submit" value="Submit">
    </form>
    
     <h1>Full Equipment's List</h1>
    <table>
      <thead>
        <tr>
          <th>Code</th>
          <th>Name</th>
          <th>Category</th>
          <th>Quantity</th>
          <th>Description</th>
        </tr>
      </thead>
      <tbody>
        <?php
          // Connect to the database
          $servername = "localhost";
          $username = "purpxzmy_OSKARPANEL";
          $password = "P{8f!ea2~+^$";
          $dbname = "purpxzmy_OSKARPANEL";
          $conn = new mysqli($servername, $username, $password, $dbname);
          if ($conn->connect_error) {
            die("Connection failed: " . $conn->connect_error);
          }

          // Retrieve all equipment records
          $sql = "SELECT * FROM equipment";
          $result = $conn->query($sql);

          // Output each equipment record as a row in the table
          if ($result->num_rows > 0) {
            while ($row = $result->fetch_assoc()) {
              echo "<tr>";
              echo "<td>" . $row["code"] . "</td>";
              echo "<td>" . $row["name"] . "</td>";
              echo "<td>" . $row["category"] . "</td>";
              echo "<td>" . $row["quantity"] . "</td>";
              echo "<td>" . $row["description"] . "</td>";
              echo "</tr>";
            }
          }

          // Close the database connection
          $conn->close();
        ?>
      </tbody>
    </table>
    <br>
    <button onclick="window.print()">Print</button>
    <button onclick="exportTableToCSV()">Export CSV</button>
   <script>
  function downloadCSV(csv, filename) {
    var csvFile;
    var downloadLink;

    // Create a CSV file with the given data
    csvFile = new Blob([csv], {type: "text/csv"});

    // Create a download link and set its attributes
    downloadLink = document.createElement("a");
    downloadLink.download = filename;
    downloadLink.href = window.URL.createObjectURL(csvFile);

    // Add the download link to the DOM and click it
    document.body.appendChild(downloadLink);
    downloadLink.click();
  }

  function exportTableToCSV(filename) {
    var csv = [];
    var rows = document.querySelectorAll("table tbody tr");

    // Add the table headers to the CSV file
    var headers = [];
    var thElements = document.querySelectorAll("table thead th");
    for (var i = 0; i < thElements.length; i++) {
      headers.push(thElements[i].textContent);
    }
    csv.push(headers.join(","));

    // Add the table rows to the CSV file
    for (var i = 0; i < rows.length; i++) {
      var row = [];
      var tdElements = rows[i].querySelectorAll("td");
      for (var j = 0; j < tdElements.length; j++) {
        row.push(tdElements[j].textContent);
      }
      csv.push(row.join(","));
    }

    // Download the CSV file
    downloadCSV(csv.join("\n"), filename);
  }
</script>